net.minecraft.item

## Class ItemAppleGold

- java.lang.Object
- - net.minecraft.item.Item
  - - net.minecraft.item.ItemFood
    - - net.minecraft.item.ItemAppleGold

-     public class ItemAppleGold
      extends ItemFood

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.item.ItemFood

      `itemUseDuration`

    - ### Fields inherited from class net.minecraft.item.Item

      `appleGold, appleRed, arrow, axeDiamond, axeGold, axeIron, axeStone, axeWood, bakedPotato, bed, beefCooked, beefRaw, blazePowder, blazeRod, boat, bone, book, bootsChain, bootsDiamond, bootsGold, bootsIron, bootsLeather, bow, bowlEmpty, bowlSoup, bread, brewingStand, brick, bucketEmpty, bucketLava, bucketMilk, bucketWater, cake, carrot, carrotOnAStick, cauldron, chickenCooked, chickenRaw, clay, coal, comparator, compass, cookie, diamond, doorIron, doorWood, dyePowder, egg, emerald, emptyMap, enchantedBook, enderPearl, expBottle, eyeOfEnder, feather, fermentedSpiderEye, fireballCharge, firework, fireworkCharge, fishCooked, fishingRod, fishRaw, flint, flintAndSteel, flowerPot, ghastTear, glassBottle, goldenCarrot, goldNugget, gunpowder, helmetChain, helmetDiamond, helmetGold, helmetIron, helmetLeather, hoeDiamond, hoeGold, hoeIron, hoeStone, hoeWood, hopperMinecart, ingotGold, ingotIron, itemFrame, itemID, itemsList, leather, legsChain, legsDiamond, legsGold, legsIron, legsLeather, lightStoneDust, magmaCream, map, melon, melonSeeds, minecartCrate, minecartEmpty, minecartPowered, monsterPlacer, netherQuartz, netherrackBrick, netherStalkSeeds, netherStar, painting, paper, pickaxeDiamond, pickaxeGold, pickaxeIron, pickaxeStone, pickaxeWood, plateChain, plateDiamond, plateGold, plateIron, plateLeather, pocketSundial, poisonousPotato, porkCooked, porkRaw, potato, potion, pumpkinPie, pumpkinSeeds, record11, record13, recordBlocks, recordCat, recordChirp, recordFar, recordMall, recordMellohi, recordStal, recordStrad, recordWait, recordWard, redstone, redstoneRepeater, reed, rottenFlesh, saddle, seeds, shears, shovelDiamond, shovelGold, shovelIron, shovelStone, shovelWood, sign, silk, skull, slimeBall, snowball, speckledMelon, spiderEye, stick, sugar, swordDiamond, swordGold, swordIron, swordStone, swordWood, tntMinecart, wheat, writableBook, writtenBook`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemAppleGold(int par1, int par2, float par3, boolean par4)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EnumRarity` | `getRarity(ItemStack par1ItemStack)`
    `void` | `getSubItems(int par1, CreativeTabs par2CreativeTabs, List par3List)`
    `boolean` | `hasEffect(ItemStack par1ItemStack)`

    - ### Methods inherited from class net.minecraft.item.ItemFood

      `getHealAmount, getItemUseAction, getMaxItemUseDuration, getSaturationModifier, isWolfsFavoriteMeat, onEaten, onItemRightClick, setAlwaysEdible, setPotionEffect`

    - ### Methods inherited from class net.minecraft.item.Item

      `addInformation, canHarvestBlock, createEntity, doesContainerItemLeaveCraftingGrid, func_77653_i, func_82788_x, getArmorModel, getArmorTexture, getChestGenBase, getColorFromItemStack, getContainerItem, getContainerItemStack, getCreativeTab, getCreativeTabs, getDamageVsEntity, getDamageVsEntity, getEntityLifespan, getFontRenderer, getHasSubtypes, getIcon, getIcon, getIconFromDamage, getIconFromDamageForRenderPass, getIconIndex, getIsRepairable, getItemDamageFromStack, getItemDamageFromStackForDisplay, getItemDisplayName, getItemEnchantability, getItemMaxDamageFromStack, getItemStackLimit, getLocalizedName, getMaxDamage, getMetadata, getPotionEffect, getPotionEffect, getRenderPasses, getShareTag, getSmeltingExperience, getSpriteNumber, getStatName, getStrVsBlock, getStrVsBlock, getUnlocalizedName, getUnlocalizedName, hasContainerItem, hasCustomEntity, hitEntity, isBookEnchantable, isDamageable, isFull3D, isItemStackDamaged, isItemTool, isMap, isPotionIngredient, isPotionIngredient, isRepairable, isValidArmor, itemInteractionForEntity, onArmorTickUpdate, onBlockDestroyed, onBlockStartBreak, onCreated, onDroppedByPlayer, onEntityItemUpdate, onEntitySwing, onItemUse, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingItemTick, registerIcons, renderHelmetOverlay, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setFull3D, setItemDamageForStack, setMaxDamage, setMaxStackSize, setNoRepair, setPotionEffect, setUnlocalizedName, shouldPassSneakingClickToBlock, shouldRotateAroundWhenRendering`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemAppleGold

          public ItemAppleGold(int par1,
                       int par2,
                       float par3,
                       boolean par4)

  - ### Method Detail

    - #### hasEffect

          public boolean hasEffect(ItemStack par1ItemStack)

      Overrides:
        `hasEffect` in class `Item`

    - #### getRarity

          public EnumRarity getRarity(ItemStack par1ItemStack)

      Overrides:
        `getRarity` in class `Item`

    - #### getSubItems

          public void getSubItems(int par1,
                         CreativeTabs par2CreativeTabs,
                         List par3List)

      Overrides:
        `getSubItems` in class `Item`